/*
 * extern.h
 *
 * Created: 2019/04/25 9:01:35
 *  Author: mNEFO
 */ 

#ifndef EXTERN_H_
#define EXTERN_H_

#include "config.h"
#include "eeprom.h"
#include "uart.h"

extern uint8_t global_digit;
extern uint8_t global_duty;
extern CONFIG_DATA global_config_eep_map __attribute__((section(".eeprom")));
extern CONFIG_DATA global_config_data;
extern uint8_t global_mode;
extern uint8_t global_setting_mode;
extern uint8_t global_config_mode;
extern uint8_t global_digit_duty[DIGIT_NUM];
extern uint8_t global_digit_num[DIGIT_NUM];
extern uint8_t global_digit_UP_dot_pwm[DIGIT_NUM];
extern uint8_t global_digit_DP_dot_pwm[DIGIT_NUM];
extern uint8_t global_digit_UP_dot_pwm_S;
extern uint8_t global_digit_DP_dot_pwm_S;
extern uint8_t global_pwm_direction;
extern uint8_t global_font_data[10];
extern uint8_t global_DS3234S_hour, global_DS3234S_min, global_DS3234S_sec;
extern uint8_t global_DS3234S_year, global_DS3234S_month, global_DS3234S_date, global_DS3234S_day;
extern uint16_t global_light_sensor;
extern uint32_t global_gps_count;
extern GPSTIME global_gpstime;
extern const uint8_t global_xor_shift_const[24][3];

#endif /* EXTERN_H_ */