/*
 * common.h
 *
 * Created: 2019/05/06 16:16:05
 *  Author: mNEFO
 */ 

#ifndef COMMON_H_
#define COMMON_H_

#define CHARNUM_TO_NUM(C) (C -= 48)

#define cbi(sfr, bit) (_SFR_BYTE(sfr) &= ~_BV(bit))
#define sbi(sfr, bit) (_SFR_BYTE(sfr) |= _BV(bit))
#define rbi(sfr, bit) (_SFR_BYTE(sfr) ^= _BV(bit))

// status LED
#define LED_PORT PORTG
#define LED PG0

// Boolean type
typedef enum{FALSE = 0, TRUE = 1} BOOL;

void on_led(void);
void off_led(void);
void toggle_led(void);
//void start_gps(void);
//void stop_gps(void);
//void reset_gps(void);
BOOL check_xmodem_data(void);
void write_flash(void);
void write_flash_last(void);
void runapp(void);

#endif /* COMMON_H_ */