/*
 * uart.h
 *
 * Created: 2019/04/25 19:58:32
 *  Author: mNEFO
 */ 

#ifndef UART_H_
#define UART_H_

#define UART_BUF 200
#define LINE_BUF 128
#define GPS_TIMEZONE_MAX 14
#define GPS_TIMEZONE_MIN -12
// 3600 * 24 = 1day (DS3234S count is 2 count/sec)
#define GPS_COUNT 172800

// gps time
typedef struct _gpstime
{
	// hhmmss
	volatile uint8_t time[6];
	volatile uint8_t valid;
} GPSTIME;

void init_uart(void);
void uart0_put(uint8_t data);
void uart1_put(uint8_t data);
void uart1_putn(uint8_t data);

#endif /* UART_H_ */